<?xml version="1.0"?>
<table xmlns="http://www.databriz.ru/spark/">
    <name>registry</name>
    <comment>Опись файлов электронных документов учетно-операционной и иной информации кредитной организации (ее филиала)</comment>
    <fileType>ODRG</fileType>
    <column sortOrder="2">
        <name>recnum</name>
        <type>int</type>
        <comment>уникальный номер записи</comment>
    </column>
    <column function="get_podr_id(input_file)" sortOrder="1">
        <name>podr_id</name>
        <type>int</type>
        <comment>уникальный идентификатор подразделения КО</comment>
    </column>
    <column function="get_org_code(input_file)">
        <name>org_code</name>
        <type>string</type>
        <comment>код КО (четыре цифры)</comment>
    </column>
    <column function="get_podr_code(input_file)">
        <name>podr_code</name>
        <type>string</type>
        <comment>код подразделения (четыре цифры)</comment>
    </column>

    <column>
      <name>len</name>
      <type>int</type>
      <comment>длина блока</comment>
    </column>
    <column>
      <name>file</name>
      <type>string</type>
      <comment>наименование файла электронного документа</comment>
    </column>
    <column>
      <name>file_num</name>
      <type>string</type>
      <comment>порядковый номер файла электронного документа</comment>
    </column>
    <column>
      <name>file_time</name>
      <type>string</type>
      <comment>время формирования файла электронного документа</comment>
    </column>
    <column>
      <name>file_checksum</name>
      <type>string</type>
      <comment>контрольная сумма файла электронного документа</comment>
    </column>
    <column>
      <name>file_status</name>
      <type>string</type>
      <comment>Статус файла: new; modified; unchanged; deleted</comment>
    </column>

    <column function="cast('#fkey_transport' as int)">
        <name>fkey_transport</name>
        <type>int</type>
        <comment>наименование и номер версии программного обеспечения, с помощью которого сформирован данный файл</comment>
    </column>
    <column function="get_file_name(input_file)">
        <name>input_file_name</name>
        <type>string</type>
        <comment>файл, из которого были загружены данные</comment>
    </column>
    <column function="input_file">
        <name>input_file_path</name>
        <type>string</type>
        <comment>файл, из которого были загружены данные</comment>
    </column>
    <column function="current_timestamp()">
        <name>time_created</name>
        <type>timestamp</type>
        <comment>Время прихода записи (ms)</comment>
    </column>
    <column function="0">
        <name>status_loaded</name>
        <type>tinyint</type>
        <comment>Флаг загрузки файла в Hive (0 или 1)</comment>
    </column>
    <column function="null">
        <name>time_loaded</name>
        <type>timestamp</type>
        <comment>Время загрузки файла в Hive (ms)</comment>
    </column>
    <column function="0">
        <name>status_accounted</name>
        <type>tinyint</type>
        <comment>Флаг учета файла в актуализированной таблице (0 или 1)</comment>
    </column>
    <column>
        <name>file_date</name>
        <type>date</type>
        <comment>дата формирования файла электронного документа</comment>
    </column>
    <column function="null">
        <name>time_accounted</name>
        <type>timestamp</type>
        <comment>Время учета файла в актуализированной таблице (ms)</comment>
    </column>
    <column partition="true" function="get_import_date(input_file)">
        <name>import_date</name>
        <type>string</type>
        <comment>дата загрузки (наименование папки, в которой лежит файл), в формате YYYY-MM-DD</comment>
    </column>
</table>